import React, { useState, useCallback, useEffect } from 'react';
import ReactDOM from 'react-dom';
import { range, line, curveLinearClosed } from 'd3';
import { Star } from './Star';

// Tweak these.
const maxNodeNumber = 10;
const maxSkipFactor = 10;

const width = 960;
const height = 960;
const centerX = width / 2;
const centerY = height / 2;

const data = [];

for (let i = 1; i < maxNodeNumber; i = i+1.07) {
  for (let j = 1; j < maxSkipFactor; j+1.07) {
    data.push({ i, j });
  }
}

const App = () => (
  <svg width={width} height={height}>
    {data.map(({ i, j }) => (
      <Star
        nodeNumber={i + 1}
        skipFactor={j}
        radius={20}
        centerX={width / 2}
        centerY={height / 2}
        centerX={i / maxNodeNumber * width}
        centerY={j / maxSkipFactor * height}
      />
    ))}
  </svg>
);
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
